Get channel
curl --request GET \
--url https://api.heyy.io/v3/channels/{channelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heyy.io/v3/channels/{channelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heyy.io/v3/channels/{channelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "string",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"name": "string",
"type": "whatsapp",
"status": "provisioned",
"vendor": "meta",
"vendorId": "string",
"vendorDetails": {
"vendor": "meta",
"wabaId": "string",
"phoneNumberId": "string",
"phoneNumber": "string",
"isVerified": true,
"dailyLimit": 0,
"qualityRating": "flagged",
"displayName": "string",
"profile": {
"about": "string",
"address": "string",
"description": "string",
"email": "string",
"profilePicture": {
"id": "string",
"createdAt": "string",
"type": "image",
"name": "string",
"contentType": "string",
"url": "string",
"size": 0
},
"vertical": "undefined",
"websites": []
}
}
}
}{
"success": false,
"error": {
"messageKey": "invalid_body_params",
"message": "Invalid body params",
"invalidParams": {
"email": {
"key": "invalid_string",
"message": "Invalid email"
}
}
}
}{
"success": false,
"error": {
"messageKey": "unauthorized",
"message": "Unauthorized"
}
}{
"success": false,
"error": {
"messageKey": "insufficient_billing_plan",
"message": "Insufficient billing plan"
}
}{
"success": false,
"error": {
"messageKey": "forbidden",
"message": "Forbidden"
}
}{
"success": false,
"error": {
"messageKey": "contact_not_found",
"message": "Contact not found"
}
}{
"success": false,
"error": {
"messageKey": "too_many_requests",
"message": "Too many requests. Limit is applied per minute per tenant. Please retry after the time indicated by the X-RateLimit-Reset header."
}
}{
"success": false,
"error": {
"messageKey": "internal_error",
"message": "Oops! Something went wrong"
}
}Channel
Get channel
GET
/
channels
/
{channelId}
Get channel
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
⌘I